Private Sub Form_Load()
Dim objApp As SolidEdgeFramework.Application
Dim objDoc As SolidEdgeDraft.DraftDocument
Dim objSheet As SolidEdgeDraft.Sheet
Dim objBounds As SolidEdgeFrameworkSupport.Boundaries2d
Dim objBound As SolidEdgeFrameworkSupport.Boundary2d
Dim dblPoint(1 To 8) As Double
Dim dblX As Double, dblY As Double
' Report errors
Const PI = 3.14159265358979
' Create/get the application with specific settings
On Error Resume Next
Set ObjApp = GetObject(, "SolidEdge.Application")
If Err Then
Err.clear
Set ObjApp = CreateObject("SolidEdge.Application")
Set ObjDoc = objApp.Documents.Add("SolidEdge.DraftDocument")
objApp.Visible = True
Else
Set ObjDoc = objApp.ActiveDocument
End If
'Get the Active Sheet object
Set objSheet = objDoc.ActiveSheet
'Get the Boundaries2d object on the active sheet
Set objBounds = objSheet.Boundaries2d
' Create a Points array
dblPoint(1) = 0.1
dblPoint(2) = 0.1
dblPoint(3) = 0.1
dblPoint(4) = 0.2
dblPoint(5) = 0.2
dblPoint(6) = 0.2
dblPoint(7) = 0.2
dblPoint(8) = 0.1
' Create a Boundary2d object
Set objBound = objBounds.AddByPoints(PointCount:=4, Points:=dblPoint)
'Get Centroid of the boundary
Call objBound.GetCentroid(x:=dblX, y:=dblY)
' USER DISPLAY
' Release objects
Set objApp = Nothing
Set objDoc = Nothing
Set objSheet = Nothing
Set objBounds = Nothing
Set objBound = Nothing
End Sub 
